curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Get a v1 brands brand ID
The brand.
GET
/
v1
/
brands
/
{brand_id}
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Path parameters
Response
object
Status codes
| Code | Meaning |
|---|---|
200 | The brand. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Last modified on August 31, 2026